Bug 1557340 - config-manager --add-repo created a non-valid repo id
Summary: config-manager --add-repo created a non-valid repo id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1649301
TreeView+ depends on / blocked
 
Reported: 2018-03-16 12:58 UTC by Kamil Páral
Modified: 2018-12-05 02:33 UTC (History)
5 users (show)

Fixed In Version: dnf-4.0.9-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1649301 (view as bug list)
Environment:
Last Closed: 2018-12-05 02:33:33 UTC


Attachments (Terms of Use)

Description Kamil Páral 2018-03-16 12:58:35 UTC
Description of problem:
# dnf config-manager --add-repo 'https://copr-be.cloud.fedoraproject.org/results/kparal/taskotron-dev/fedora-$releasever-$basearch/'
Adding repo from: https://copr-be.cloud.fedoraproject.org/results/kparal/taskotron-dev/fedora-$releasever-$basearch/

# ll /etc/yum.repos.d/
-rw-r--r--. 1 root root  349 Mar 16 13:36 'copr-be.cloud.fedoraproject.org_results_kparal_taskotron-dev_fedora-$releasever-$basearch_.repo'
-rw-r--r--. 1 root root 1331 Jan  5 23:25  fedora.repo
-rw-r--r--. 1 root root 1345 Jan  5 23:25  fedora-updates.repo
-rw-r--r--. 1 root root 1403 Jan  5 23:25  fedora-updates-testing.repo

# dnf repolist
Bad id for repo: copr-be.cloud.fedoraproject.org_results_kparal_taskotron-dev_fedora-26-$basearch_, byte = $ 71
Last metadata expiration check: 1 day, 0:03:53 ago on Thu 15 Mar 2018 01:38:42 PM CET.
repo id                               repo name                                                    status
*fedora                               Fedora 26 - x86_64                                           53,912
*updates                              Fedora 26 - x86_64 - Updates                                 13,902


When creating the repo file, the non-valid characters need to be removed (like a $).


Version-Release number of selected component (if applicable):
dnf-2.7.5-8.fc28.noarch

How reproducible:
always

Comment 1 Jan Kurik 2018-08-14 10:10:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Jaroslav Mracek 2018-09-25 15:15:13 UTC
I created a patch for the issue: https://github.com/rpm-software-management/dnf-plugins-core/pull/292

Comment 3 Fedora Update System 2018-11-22 18:56:55 UTC
libdnf-0.22.3-1.fc29 dnf-4.0.9-1.fc29 dnf-plugins-core-4.0.2-1.fc29 dnf-plugins-extras-4.0.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cbc3c616

Comment 4 Fedora Update System 2018-11-23 02:56:30 UTC
dnf-4.0.9-1.fc29, dnf-plugins-core-4.0.2-1.fc29, dnf-plugins-extras-4.0.0-1.fc29, libdnf-0.22.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cbc3c616

Comment 5 Fedora Update System 2018-12-05 02:33:33 UTC
dnf-4.0.9-1.fc29, dnf-plugins-core-4.0.2-1.fc29, dnf-plugins-extras-4.0.0-1.fc29, libdnf-0.22.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.